<script type="text/javascript">
	$(document).ready(function(){
		
	$("#mulai").focus();
	
	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		$("#txt_total").val('');
		cari_itf();
		cari_tgl();		
	});
	
	function cari_itf(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/pener_kas/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_piut").val(data.nopiut);
				$("#txt_persed").val(data.nopers);
				$("#txt_utang").val(data.noutdg);
				$("#txt_labapb").val(data.labapb);
				$("#txt_jual").val(data.jual);
				$("#txt_labrug").val(data.labrug);
			}
		});
	}
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
			}
		});
	}
	
	$("#txt_tanggal").focus();
	
	$('#form_cari_bbk').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#cari_bbk').click(function(){
		$('#form_cari_bbk').dialog('open');
		
		var no=1;
		$.ajax({
			type	: "POST",
			url		: "spv/pengel_bank/tampil_nobbk.php",
			data	: "no="+no,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bk").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bk").html(data);				
			}
		});
	});
			
	$('#form_cari_bank').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namabank').keyup(function(){
		cari_nomor();
		$('#form_cari_bank').dialog('open');
		$("#info_bank").load("spv/pengel_bank/tampil_data_bank.php");
		$("#txt_caribank").focus();
	});
	
	$('#txt_namabank').click(function(){
		cari_nomor();
		$('#form_cari_bank').dialog('open');
		$("#info_bank").load("spv/pengel_bank/tampil_data_bank.php");
		$("#txt_caribank").focus();		
	});
	
	$("#txt_caribank").keyup(function(){
		var cari= $("#txt_caribank").val();
		
		var no=1;
		$.ajax({
			type	: "POST",
			url		: "spv/pengel_bank/tampil_data_bank.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bank").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bank").html(data);				
			}
		});
	});
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();

		$.ajax({
			type	: "POST",
			url		: "spv/pengel_bank/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){				
				$("#txt_total").val('');
				$("#txt_kode").val(data.nomor);
				$('#data_detail').show();
				cek_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function cek_nourut(){
		var kode 	= $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "spv/pengel_bank/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	function tampil_data_detail(){		
		var kode = $("#txt_kode").val();
		$("#data_detail").load("spv/pengel_bank/tampil_data_detail.php?kode="+kode);
	}
	
	$('#form_cari_akun').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$('#txt_naakun').keyup(function(){		
		$('#form_cari_akun').dialog('open');
		$("#txt_caribb").focus();		
	});
	
	$("#txt_caribb").keyup(function(){
		var cari	= $("#txt_caribb").val();
				
		$.ajax({
			type	: "POST",
			url		: "spv/pengel_bank/tampil_data_akun.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bb").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bb").show();
				$("#info_bb").html(data);
			}
		});
	});
	
	$('#form_cari_bp').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$("#txt_namabp").keyup(function(){
	    $("#info_bp").show();
		var adabp = $("#txt_adabp").val();
		var nobb = $("#txt_noakun").val();
		
		if(adabp==''){
			alert('Kode akun '+nobb+' tidak memiliki buku pembantu.');
			$("#txt_jumlah").focus();
			return (false);
		}else{
			$('#form_cari_bp').dialog('open');
			$("#txt_caribp").focus();		
		}
	});
	
	$("#txt_caribp").keyup(function(){
		var cari = $("#txt_caribp").val();
		var nobb = $("#txt_noakun").val();
			
		$.ajax({
			type	: "POST",
			url		: "spv/pengel_bank/tampil_data_bp.php",
			data	: "cari="+cari+
					"&nobb="+nobb,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bp").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bp").html(data);
			}
		});
	});
	
	$("#simpan").click(function(){
		simpan_data();
	});
			
	function simpan_data(){
		var	kode	= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	nobank  = $("#txt_nobank").val();		
		var	nabank  = $("#txt_namabank").val();
		var	nourut  = $("#txt_nourut").val();
		var	noakun	= $("#txt_noakun").val();
		var	nobp  	= $("#txt_nobp").val();		
		var	naakun 	= $("#txt_naakun").val();
		var	namabp 	= $("#txt_namabp").val();
		var	ket    	= $("#txt_ket").val();
		var	jumlah	= $("#txt_jumlah").val();
		
		var error = false;

		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal BBM tidak boleh kosong.");
		   return (false);
        }
		
		if(nobank.length == 0){
			var error = true;
			alert("Maaf, Nomor akun kas masih kosong");
			$("#txt_nobank").focus();
			return (false);
        }
		
		if(noakun.length == 0){
           var error = true;
           alert("Maaf, Kode Akun  tidak boleh kosong");
		   $("#txt_noakun").focus();
		   return (false);
        }
		
		if(nobp.length == 0){
			var adabp = $("#txt_adabp").val();
			
			if(!adabp==''){
				var error = true;
				alert("Maaf, Anda belum memilih kode Buku Pembantu.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
		
		if(ket.length == 0){
           var error = true;
           alert("Maaf, Kolom keterangan tidak boleh kosong");
		   $("#txt_ket").focus();
		   return (false);
         }
		 
		if(jumlah.length == 0){
			var error = true;
			alert("Maaf, Kolom jumlah tidak boleh kosong.");
			$("#txt_jumlah").focus();
			return (false);
        }
		 
		if(error == false){			
		$.ajax({
			type	: "POST",
			url		: "spv/pengel_bank/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&nobank="+nobank+
					"&nabank="+nabank+		
					"&nourut="+nourut+
					"&noakun="+noakun+
					"&nobp="+nobp+
					"&naakun="+naakun+
					"&namabp="+namabp+					
					"&ket="+ket+
					"&jumlah="+jumlah,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');				
				cek_nourut();
				tampil_data_detail();
				$("#txt_naakun").focus();
			}
		});
		}		
	}
	
	function tampil_data_detail(){		
		var kode = $("#txt_kode").val();
		$("#data_detail").load("spv/pengel_bank/tampil_data_detail.php?kode="+kode);		
	}
	
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode{
	background:#CCC;
}
</style>

<?php
echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_piut' id='txt_piut' size='4' hidden />
		<input type='text' name='txt_persed' id='txt_persed' size='4' hidden />
		<input type='text' name='txt_utang' id='txt_utang' size='4' hidden />
		<input type='text' name='txt_labapb' id='txt_labapb' size='4' hidden />
		<input type='text' name='txt_jual' id='txt_jual' size='4' hidden />
		<input type='text' name='txt_labrug' id='txt_labrug' size='4' hidden />
		
		<td>Nomor BBK : <input type='text' name='txt_kode' id='txt_kode' size='12' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari bbk' id='cari_bbk'>
		</td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' class='input_header' ></td>		
		<td>Akun Bank : <input type='text' name='txt_namabank' id='txt_namabank' size='25' class='input_header'>
			<input type='text' name='txt_nobank' id='txt_nobank' size='5' class='input_header' readonly />
		</td>
	    <td><button name='mulai' id='mulai'>Input Baru</button></td>	
	</tr>
	</table>
	<hr>";

echo "<table>
		<tr>
			<th>Nama Akun</th>
			<th>Kode Akun</th>
			<th>Nama BP</th>
			<th>Kode BP</th>			
			<th>No.Faktur</th>			
			<th>Jumlah</th>
			<th>Keterangan</th>
			<th></th>
		</tr>		
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' hidden />
			<input type='text' name='txt_adabp' id='txt_adabp' hidden />
			<input type='text' name='txt_piut' id='txt_piut' hidden />
			<input type='text' name='txt_total' id='txt_total' hidden />
			<td align='center'><input type='text' name='txt_naakun' id='txt_naakun' class='input' size='25' ></td>
			<td align='center'><input type='text' name='txt_noakun' id='txt_noakun' class='input' size='5' readonly /></td>
			<td align='center'><input type='text' name='txt_namabp' id='txt_namabp' class='input' size='25' ></td>
			<td align='center'><input type='text' name='txt_nobp' id='txt_nobp' class='input' size='10' maxlength='6' readonly /></td>
			<td align='center'><input type='text' name='txt_nofak' id='txt_nofak' class='input_detail' size='12'></td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='12' ></td>
			<td align='center'><input type='text' name='txt_ket' id='txt_ket' class='input' size='42'></td>
			<td>
				<button name='simpan' id='simpan'>Rekam</button>				
				<button name='tutup' id='tutup'>Tutup</button>
			</td>
		</tr>
	</table>";
	
echo "<div id='form_cari_bbk' title='Pencarian Bukti Bank Keluar'>		
		<div id='info_bk' align='center'></div>
	</div>";
	
echo "<div id='form_cari_bank' title='Pencarian Akun Bank'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Akun Bank</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_caribank' id='txt_caribank' size='40'</td>
			</tr>
		</table>
		<div id='info_bank' align='center'></div>
	</div>";

echo "<div id='data_detail'></div>";

echo "<div id='form_cari_akun' title='Pencarian Akun Buku Besar'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Buku Besar</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_caribb' id='txt_caribb' size='40'</td>
			</tr>
		</table>
		<div id='info_bb' align='center'></div>
	</div>";

echo "<div id='form_cari_bp' title='Pencarian Akun Buku Pembantu'>
		<table width='100%'>
			<td>
				<td width='25%'>Cari Buku Pembantu</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_caribp' id='txt_caribp' size='30'</td>
			</td>
		</table>		
		<div id='info_bp' align='center'></div>
	</div>";
?>
